#include <cv.h>
#include <highgui.h>

int main( void )
{
	const double pi=355/113;
	double sigma = 3, theta = 0, lambd = pi/2, gamma = 1, psi = pi/2;
	IplImage *image = cvCreateImage( cvSize(100,100), 8, 1 );
	cvZero( image );
	for( int i=1; i <= 15; ++i) {
		CvSize dim = cvSize(i, i);
		cv::Mat kernel = cv::getGaborKernel( dim, sigma, theta, lambd, gamma, psi);
		cv::Mat mat = cv::Mat::ones( 100, 100, CV_8U);
		CvMat onekernel = mat;
		std::cout<<"size : "<<dim.width<<std::endl;
		std::cout<<"ones"<<std::endl;
		cvFilter2D(image, image, &onekernel);
		onekernel = kernel;
		cvFilter2D(image, image, &onekernel);
	}
	cvReleaseImage( &image);
	return(0);
}
